### Method

# Cogl MatrixEntry calculate_translation

#### Declaration [src]

    gboolean
    cogl_matrix_entry_calculate_translation (
      CoglMatrixEntry* entry0,
      CoglMatrixEntry* entry1,
      float* x,
      float* y,
      float* z
    )

#### Description [src]

Determines if the only difference between two transforms is a translation and if so returns what the `x`, `y`, and `z` components of the translation are.

If the difference between the two translations involves anything other than a translation then the function returns `FALSE`.

#### Parameters

`entry1`

  Type: `CoglMatrixEntry`

  A second reference transform.

  The data is owned by the caller of the method.

`x`

  Type: `float*`

  The destination for the x-component of the translation.

  The argument will be set by the function.

`y`

  Type: `float*`

  The destination for the y-component of the translation.

  The argument will be set by the function.

`z`

  Type: `float*`

  The destination for the z-component of the translation.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the only difference between the transform of `entry0` and the transform of `entry1` is a translation, otherwise `FALSE`.